@Alexanderkuttner welcome to the Atlassian developer community.
The short answer is a real REST URL for your board will look like this:
https://devpartisan.atlassian.net/rest/agile/1.0/board/1
To explain, we can work backward from the URL template provided on the specific documentation for getting a board with GET /rest/agile/1.0/board/{boardId}. We need 2 things for this. The base URL and the boardId. The pattern for appending the base URL is shown in the curl example as:
https://your-domain.atlassian.net/rest/agile/1.0/board/{boardId}
No port or context to worry about. That’s just legacy documentation from when the same code was used for on-premise Jira Server.
Next, we can do human URL parsing to find that your boardId is 1. Or, we can use the get all boards endpoint (I have no idea why this endpoint is not listed with other board operations) with GET /rest/agile/1.0/board and the right query parameters. For example, we could add ?projectKeyOrId=TIS to get boards for a project (though uncommon, there can be multiple or none).
If I don’t pass any expand parameters, the result looks like this:
{
"maxResults": 50,
"startAt": 0,
"total": 1,
"isLast": true,
"values": [
{
"id": 7,
"self": "https://devpartisan.atlassian.net/rest/agile/1.0/board/7",
"name": "NGEW board",
"type": "simple",
"location": {
"projectId": 10703,
"displayName": "Next-gen Enterprise Workflow (NGEW)",
"projectName": "Next-gen Enterprise Workflow",
"projectKey": "NGEW",
"projectTypeKey": "software",
"avatarURI": "/secure/projectavatar?size=small&s=small&pid=10703&avatarId=10808",
"name": "Next-gen Enterprise Workflow (NGEW)"
}
}
]
}